/* You can add global styles to this file, and also import other style files */
:root{
  --CPO:#CB601F;/* color primario oscuro */
  --CPC:#EF7437;/* color primario claro*/
  --CSO:#5A5A5C;/* color Secundario para los titulos*/
  --CSC:#B8B7C0;/* color Secundario para letra*/
  --CBB:#C32B40;/* color boton borrar y valores obligatorios*/
  --FSP:14px;/* tamaño letra primario */
  --FSS:12px;/* tamaño letra Secundario */
}
/*colores*/
.CPO {
  color: var(--CPO)!important;
}
.CPC {
  color: var(--CPC)!important;
}
.CSO {
  color: var(--CSO)!important;
}
.CSC {
  color: var(--CSC)!important;
}
.CBB {
  color: var(--CBB)!important;
}
/*background-color*/
.bCPO {
  background-color: var(--CPO)!important;
}
.bCPC {
  background-color: var(--CPC)!important;
}
.bCSO {
  background-color: var(--CSO)!important;
}
.bCSC {
  background-color: var(--CSC)!important;
}
.bCBB {
  background-color: var(--CBB)!important;
}
/*tamaños*/
.FSP {
  font-size: var(--FSP)!important;
}
.FSS {
  font-size: var(--FSS)!important;
}
/*body formularios*/
body{
  font-family: 'Open Sans', sans-serif;
}
.form-controlSpan, input[type=date], input[type=number], input[type=password], input[type=text], select, textarea {
  text-align: center!important;
  border-color: #666!important;
  background-color: #fff!important;
  color: #666 !important;
  font-family: 'Open Sans', sans-serif!important;
  font-size: var(--FSS)!important;
  font-weight: 700!important;
}
.form-control:focus {
  -webkit-box-shadow:  0px 0px 7px 0px rgba(201,93,28,0.8);
  -moz-box-shadow:  0px 0px 7px 0px  rgba(201,93,28,0.8);
  box-shadow: 0px 0px 7px 0px rgba(201,93,28,0.8);
}
::placeholder {
  font-weight: 500 !important;
}
.ui-dialog .ui-dialog-titlebar-icon{
    display: none !important;
}
body .ui-table .ui-table-tbody>tr:nth-child(even) {
    background-color: #f2f2f2;
}
.modal-body {
  max-height: calc(100vh - 200px);
  overflow-y: auto;
}

.brd0 {
  border-radius: 0!important;
}
.sombraO {
  -webkit-box-shadow: 0px 2px 15px 5px rgba(0,0,0,0.75);
  -moz-box-shadow: 0px 2px 15px 5px rgba(0,0,0,0.75);
  box-shadow: 0px 2px 15px 5px rgba(0,0,0,0.75);
}
/*custom de las librerias*/
.card{
  margin: 10px 10px 40px 10px!important;
}
.card-header, .modal-header {
  padding-top: 5px;
  padding-bottom: 5px;
  background-color: var(--CPO);
}
.card-header span, .modal-header span {
  font-size: var(--FSP) !important;
  line-height: 30px;
  text-transform: uppercase;
  font-weight: bold;
  color: white;
  margin-left: 5px;
}
.card-body {
  background-color: #f2f2f2 ;
  width: auto;
  box-shadow: 0 3px 3px #00000022;
}
.card-body .bCSO span, .modal-body .bCSO span{
  color: white;
  font-size: var(--FSP);
  font-weight: bold;
}
.modal-header .pi {
  font-size: 26px !important;
  color: white;
  cursor: pointer;
}
.modal-header .id {
  font-weight: 500;
  margin-right: 5px;
}
.modal-footer .btn {
  color: white;
  text-transform: uppercase;
  font-weight: bold;
  font-size: var(--FSP);
}
.imgRemision{
  width: 100%;
}
body .ui-table .ui-table-thead>tr>th {
  font-size: var(--FSS);
  color: white;
  font-weight: 500;
  background-color: var(--CSO);

}
body .ui-table .ui-table-tbody>tr {
  font-size: var(--FSS);
  text-transform: lowercase !important;
}
body .ui-accordion .ui-accordion-header:not(.ui-state-disabled).ui-state-active:hover a,
body .ui-accordion .ui-accordion-header:not(.ui-state-disabled).ui-state-active a{
  border: 1px solid var(--CSO);
  background-color: var(--CSO);
  color: #ffffff;
}
.disableSpan{
  background-color: #c3c3c3  !important;
}

body .ui-paginator .ui-paginator-pages .ui-paginator-page.ui-state-active {
  background-color: var(--CSO);
}
body .ui-table .ui-table-tbody>tr button span , .ui-dialog-buttonpane button{
  text-transform: uppercase;
  font-weight: bold;
}
.ui-accordion-content{
  padding: 0.1em 0.2em !important;
}
.ui-accordion-content button{
  margin-top: 2.6px;
  margin-bottom: 2.6px;
  width: 100%;
}
label {
  display: inline-block;
  margin-bottom: 0!important;
  font-size: var(--FSS);
  font-weight: 600;
  color: var(--CSO);
  text-transform: uppercase;
}
.badge{
  font-size: 100%;
}
.btn span{
  font-size: var(--FSS);
}
.ui-dialog-titlebar{
  background-color: var(--CPO) !important ;
  text-transform: uppercase;
  font-size: var(--FSP);
  color: white !important;
}
.ui-dialog-resizable .ui-dialog-content {
  height: calc(100vh - 150px);
  overflow-x: hidden;
}
body .ui-dialog{
  width: calc( 100% - 200px);
  height: calc( 100vh - 300px);
  top: 0px !important;
}
.ui-toast-top-right {
  z-index: 1012 !important;
}
/*grid*/
.grid {
  display: grid;
}
.gridTemplate2Col{
  grid-template-columns: 1fr 1fr;
}
.gridTemplate3Col{
  grid-template-columns: 1fr 1fr auto;
}
.gridTemplateHeader {
  grid-template-areas:"a b";
}
.gridTemplateHeaderCard {
  grid-template-areas:"a b c";
}
.gHeader1 {
  grid-area: a;
  align-self: center;
}
.gHeader2 {
  grid-area: b;
  justify-self: flex-end;
  align-items: center;
}
.gHeader3 {
  grid-area: c;
  align-items: center;
}
.logo{
  background: url(/assets/img/brand/logo.png)center no-repeat;
  background-size: cover; /* Resize the background image to cover the entire container */
}
.ui-dialog-mask {
  z-index: 0 !important;
}
.ngx-dropdown-list-container {
 height:  200px !important;
  overflow-y: scroll !important;
}
@media (max-width: 768px) {
  .wrapper  {
    grid-template-columns: 20% auto auto 20% !important;
  }

}
@media (max-width: 425px) {
  #header{
    height: 55px !important;
  }
  .imgRemision{
    width: 320px;
  }
  .wrapper  {
    grid-template-columns: 5% auto auto 5% !important;
  }
  .gridTemplateHeaderCard {
    grid-template-areas:
      "a a c "  "b b c";
  }
  .gridTemplateHeader{
    grid-template-areas:
      "b b "   "a a  ";
  }
  .gHeader2 {
    justify-self: auto;
  }
  .card {
    margin: 0px 0px 40px 0px!important;
  }
}
